export class TransactionBuilding {

  constructor(walletName: string, accountName: string, password: string, outpoints: OutpointRequest[], recipients: RecipientModel[], feeType: string, allowUnconfirmed: boolean) {
    this.walletName = walletName;
    this.accountName = accountName;
    this.password = password;
    this.outpoints = outpoints;
    this.recipients = recipients;
    this.feeType = feeType;
    this.allowUnconfirmed = allowUnconfirmed;
  }

  walletName: string;
  accountName: string;
  password: string;
  feeType: string;
  allowUnconfirmed: boolean;
  outpoints: OutpointRequest[];
  recipients: RecipientModel[];
}

export class OutpointRequest {

  constructor(transactionId: string, index: number) {
    this.transactionId = transactionId;
    this.index = index;
  }

  transactionId: string;
  index: number;
}

export class RecipientModel {

  constructor(destinationAddress: string, amount: string) {
    this.destinationAddress = destinationAddress;
    this.amount = amount;
  }

  destinationAddress: string;
  amount: string;
}
